<?php

namespace addons\webman\model;

use addons\webman\traits\HasDateTimeFormatter;
use Illuminate\Database\Eloquent\Model;

class AdminConfig extends Model
{
    use HasDateTimeFormatter;
    protected $fillable = ['name', 'value'];

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);

        $this->setTable(plugin()->webman->config('database.config_table'));
    }
}
